%clear all; clc;
function [twin,korr]=dokt_peakdetect(IR,fs,T_ER,DIR);
%[IR,fs,bit]=wavread('C:\HIL\LisztZeneakademia_Nagyterem\Impulse\z_5_R_c1_i.wav'); IR=IR(1:floor(length(IR)/2));
% T_ER=1000; % időhossz amit vizsgálunk
% DIR=14; % direkthang mintahossza amivel korreláltatunk

Q=1; J=2; % a bemenőparaméterek állításához
time_window=Q*DIR/fs;%96/fs; %time window length in seconds
time_step=2/fs;
%time_step=Q*DIR/J/fs;%48/fs; %time step in seconds
max_lag_time=Q*DIR/fs;%48/fs; %maximum lag time in seconds


start=inicio(IR); % direkthang kezdetének detektálása
input_1=IR(1:DIR*floor((T_ER/1000*fs)/DIR)); % azonos mátrixhosszok
input_2=repmat(IR(start:start-1+DIR),length(input_1)/DIR,1);

[lag_time,twin,xcl]=timewindow_xcorr(input_1,input_2,fs,time_window,time_step,max_lag_time);
%surf(twin,lag_time*1e3,xcl')
%shading flat
%figure(2); plot(sum(xcl,2));
[a,b]=max(xcl(:,:)); % maximális direkthang-korrelációhoz kiválasztás
%figure(3); plot(a);
[hm,hh]=max(a);
korr=xcl(:,hh);
%korr2=resample(korr,time_step*fs,1);
%plot(twin*fs,korr);